# VectorNav C++ Library: vn::sensors::ImuMeasurementsRegister Struct Reference

vn::sensors::ImuMeasurementsRegister Struct Reference
Register Structures

Structure representing the IMU Measurements register. More...

`#include <registers.h>`

## Public Member Functions

| ImuMeasurementsRegister (vn::math::vec3f magIn, vn::math::vec3f accelIn, vn::math::vec3f gyroIn, float tempIn, float pressureIn)
| Creates an initializes a new ImuMeasurementsRegister structure. More...

## Public Attributes

vn::math::vec3f | mag
| The mag field.
vn::math::vec3f | accel
| The accel field.
vn::math::vec3f | gyro
| The gyro field.
float | temp
| The temp field.
float | pressure
| The pressure field.

## Detailed Description

Structure representing the IMU Measurements register.

## Constructor & Destructor Documentation

vn::sensors::ImuMeasurementsRegister::ImuMeasurementsRegister | ( | vn::math::vec3f | magIn,
|  | vn::math::vec3f | accelIn,
|  | vn::math::vec3f | gyroIn,
|  | float | tempIn,
|  | float | pressureIn
| ) |  |

inline

Creates an initializes a new ImuMeasurementsRegister structure.

Parameters

  [in] | magIn | Value to initialize the mag field with.
  [in] | accelIn | Value to initialize the accel field with.
  [in] | gyroIn | Value to initialize the gyro field with.
  [in] | tempIn | Value to initialize the temp field with.
  [in] | pressureIn | Value to initialize the pressure field with.

The documentation for this struct was generated from the following file:

- include/vn/registers.h